//
//  ViewController.h
//  sd84
//
//  Created by James Henderson on 12/10/2016.
//  Copyright © 2016 Devantech Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#include <IOKit/IOKitLib.h>
#include <IOKit/serial/IOSerialKeys.h>
#include <IOKit/IOBSD.h>
#include <IOKit/serial/ioss.h>
#include <sys/ioctl.h>

@interface ViewController : NSViewController
{
    IBOutlet NSPopUpButton *serialList;
    IBOutlet NSPopUpButton *servoSelector;
    IBOutlet NSSlider *servoPos;
    BOOL isConnected;
    int fd;
    struct termios originalOptions;
    unsigned char serBuf[512];
    int servoNumber;
}

- (IBAction)serialPortSelected:(id)sender;

@end

